org.apache.solr.analytics.plugin

## Class AnalyticsStatisticsCollector

- java.lang.Object
- - org.apache.solr.analytics.plugin.AnalyticsStatisticsCollector

-     public class AnalyticsStatisticsCollector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TimerContext` | `currentTimer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsStatisticsCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFieldFacets(long num)`
    `void` | `addQueries(long num)`
    `void` | `addQueryFacets(long num)`
    `void` | `addRangeFacets(long num)`
    `void` | `addRequests(long num)`
    `void` | `addStatsCollected(long num)`
    `void` | `addStatsRequests(long num)`
    `void` | `endRequest()`
    `NamedList<Object>` | `getStatistics()`
    `void` | `startRequest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentTimer

          public TimerContext currentTimer

  - ### Constructor Detail

    - #### AnalyticsStatisticsCollector

          public AnalyticsStatisticsCollector()

  - ### Method Detail

    - #### startRequest

          public void startRequest()

    - #### addRequests

          public void addRequests(long num)

    - #### addStatsRequests

          public void addStatsRequests(long num)

    - #### addStatsCollected

          public void addStatsCollected(long num)

    - #### addFieldFacets

          public void addFieldFacets(long num)

    - #### addRangeFacets

          public void addRangeFacets(long num)

    - #### addQueryFacets

          public void addQueryFacets(long num)

    - #### addQueries

          public void addQueries(long num)

    - #### endRequest

          public void endRequest()

    - #### getStatistics

          public NamedList<Object> getStatistics()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.